/*
 * 作成日: 2005/11/19
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
package aji;

import org.eclipse.swt.widgets.Event;
import org.eclipse.swt.widgets.Listener;

/**
 * @author riki
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class NumericCheck implements Listener {
	
	private String validValues;
	
	public NumericCheck(String str){
		validValues = str;
	}
		
	public void handleEvent(Event e){
		
		String text = e.text;
			
		if(e.keyCode ==13) return;
		
		for(int i = 0;i < text.length();i++){
				
			if(validValues.indexOf(text.charAt(i)) == -1){
					
				e.doit = false;
					
			}
		}
			
	}

}
